<?php
session_start();
require 'verifica_cookie.php';
require 'conexao.php';
require 'config.php';

function ExisteIdInArray($termo, $arrayDados=[]){
	$retorno = false;
	
	foreach($arrayDados as $opcional):
		$retorno = ($termo == $opcional['ID']);

		if ($retorno) break;
	endforeach;

	return $retorno;
}

$item  = (isset($_POST['item'])) ? $_POST['item'] : '';


if (isset($_SESSION['PEDIDO'])):
	
	$id_categoria = $_SESSION['PEDIDO'][$item]['CATEGORIA'];
	$pdo  = Conexao::getInstance();
	$sql = "SELECT o.id_opcional, descricao, valor ";
	$sql .= "FROM opcional o INNER JOIN opcional_categoria oc ON o.id_opcional = oc.id_opcional ";
	$sql .= "WHERE id_categoria = '{$id_categoria}' ORDER BY descricao";
	$stm = $pdo->prepare($sql);
	$stm->execute();
	$opcionais = $stm->fetchAll(PDO::FETCH_OBJ);
	
	if (!empty($opcionais)): ?>
	    <table class='mdl-data-table mdl-js-data-table mdl-data-table--selectable mdl-shadow--2dp'>
        <tbody>
            <?php foreach($opcionais as $opcional):
            	if (ExisteIdInArray($opcional->id_opcional, $_SESSION['PEDIDO'][$item]['OPCIONAL'])):
            	   $checked = 'checked';
            	else:
            	   $checked = '';
            	endif;
           	    ?>
	            <tr>
		           <td width='10'>
		           <input type='checkbox' id='checkbox<?=$opcional->id_opcional?>' class='ckb-opcional' value='<?=$opcional->id_opcional?>' <?=$checked?> >
		           </td>
		           <td class = 'mdl-data-table__cell--non-numeric'><label for='checkbox<?=$opcional->id_opcional?>'><?=strtoupper($opcional->descricao)?></label></td>
		           <td>R$ <?=number_format($opcional->valor, 2, ',', '.')?></td>
	       	    </tr>
       	    <?php endforeach; ?>
        </tbody>
        </table>
	<?php endif; ?>
	
<?php endif; ?>